Page MenuHomePhabricator

setup new mw maint host - wasat
Closed, ResolvedPublic

Description

This task will track the racking and deployment of new system wasat,named after proper star names for misc servies in codfw. This system was ordered on T127372, & cannot be completed until that task has the system received in. This task is a blocker for hardware-requests T126987.

  • - asset tagged and added to racktables
  • - racked in d5 (misc rack with the least population)
  • - setup bios/idrac and test redirection/control
  • - add dns entries for mgmt (hostname/asset tag)
  • - add production dns entry, private1-d-codfw subnet
  • - update task with network port, then ping @RobH to setup (anyone with network stack access can setup)
  • - update install_module, plan to raid1-lvm-srv-ext4 for dual disk system
  • - install os - ubuntu 14.04 (as that is what terbium runs at present)
  • - accept/sign puppet/salt for host
  • - service implementation

Event Timeline

RobH created this task.Mar 14 2016, 9:50 PM
Restricted Application added a project: SRE. · View Herald TranscriptMar 14 2016, 9:50 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Papaul updated the task description. (Show Details)Mar 15 2016, 4:45 PM

mgmt info 10.193.2.249
port information
Row D rack D5
port ge-5/0/8

Papaul updated the task description. (Show Details)Mar 15 2016, 8:33 PM
RobH added a comment.Mar 15 2016, 8:44 PM

switch port description set, enabled, and vlan set.

Dzahn added a subscriber: Dzahn.Mar 15 2016, 10:09 PM

mgmt dns merged

Papaul updated the task description. (Show Details)Mar 15 2016, 11:16 PM
Papaul updated the task description. (Show Details)Mar 15 2016, 11:38 PM
Papaul reassigned this task from Papaul to Joe.Mar 16 2016, 2:15 PM
Papaul updated the task description. (Show Details)
Papaul added subscribers: Joe, Papaul.

@Joe the installation is complete.

RobH added a comment.Mar 24 2016, 8:28 PM

The service implementation on this will not have to be as fast, since @Joe was able to use a mw system in a temp role for this.

mw2090 has been reimaged to act as terbium's replacement for now; we can work on the new server next week.

So this task can stay assigned to @Joe for him to migrate the maintainance duties from mw2090 to wasat.

Change 279444 had a related patch set uploaded (by Dzahn):
move mv maintenance host from mw2090 to wasat

https://gerrit.wikimedia.org/r/279444

Change 279632 had a related patch set uploaded (by Dzahn):
site.pp - introduce wasat, backup home dirs

https://gerrit.wikimedia.org/r/279632

Change 279632 merged by Dzahn:
site.pp - introduce wasat, backup home dirs

https://gerrit.wikimedia.org/r/279632

Dzahn renamed this task from rack new mw maint host - wasat to setup new mw maint host - wasat.Mar 25 2016, 5:37 PM

Change 279643 had a related patch set uploaded (by Dzahn):
mw:maintenance: move eventlogging from node to role

https://gerrit.wikimedia.org/r/279643

Change 279643 merged by Dzahn:
mw:maintenance: move eventlogging from node to role

https://gerrit.wikimedia.org/r/279643

Change 279649 had a related patch set uploaded (by Dzahn):
mediawiki: maintenance servers should all have home backup

https://gerrit.wikimedia.org/r/279649

Change 279649 merged by Dzahn:
mediawiki: maintenance servers should all have home backup

https://gerrit.wikimedia.org/r/279649

Change 279659 had a related patch set uploaded (by Dzahn):
mw:maintenance: add role to wasat

https://gerrit.wikimedia.org/r/279659

Change 279973 had a related patch set uploaded (by Dzahn):
mediawiki: remove python-mysqldb from maintenance servers

https://gerrit.wikimedia.org/r/279973

Change 279973 merged by Dzahn:
mediawiki: remove python-mysqldb from maintenance servers

https://gerrit.wikimedia.org/r/279973

Change 279659 merged by Dzahn:
mw:maintenance: add role to wasat

https://gerrit.wikimedia.org/r/279659

Change 279444 abandoned by Dzahn:
move mv maintenance host from mw2090 to wasat

Reason:
done in multiple steps in other changes

https://gerrit.wikimedia.org/r/279444

Change 280089 had a related patch set uploaded (by Dzahn):
mw:maintenance: also move mariadb maintenance class

https://gerrit.wikimedia.org/r/280089

Change 280089 merged by Dzahn:
mw:maintenance: also move mariadb maintenance class

https://gerrit.wikimedia.org/r/280089

Change 280130 had a related patch set uploaded (by Dzahn):
mediawiki: make mw2090 normal appserver again

https://gerrit.wikimedia.org/r/280130

Change 280130 merged by Dzahn:
mediawiki: make mw2090 normal appserver again

https://gerrit.wikimedia.org/r/280130

Change 280144 had a related patch set uploaded (by Dzahn):
dsh: add wasat, add comments

https://gerrit.wikimedia.org/r/280144

Change 280144 merged by Dzahn:
dsh: add wasat, add comments

https://gerrit.wikimedia.org/r/280144

Dzahn closed this task as Resolved.Mar 31 2016, 1:13 AM
Dzahn updated the task description. (Show Details)

a) wasat is up and running with the mw and mariadb maintenance roles
b) mw2090 is reinstalled as regular appserver